Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228483 - Review Request: hunspell-it - Italian hunspell dictionaries
Summary: Review Request: hunspell-it - Italian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 11:09 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 09:34:59 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 11:09:57 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-it.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-it-2.3-0.1.20060723.src.rpm
Description: Italian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 23:47:13 UTC
Cosmetic: you could dump %define upstreamid 20060731 since you are not using it.


GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , 
sha1sum a20e97120fc4c9a57a99473317ca378bac9770f1  italiano_2_3_beta_2006_07_23.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site says and is
  included in the package
- the package includes only 2 files (word lists) + several small text files,  so
no need for separate -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 2 Caolan McNamara 2007-02-20 09:34:59 UTC
 27898 (hunspell-it): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.